#!/usr/bin/env python

from WebStack.Adapters import Django
from WebStack.Resources.LoginRedirect import LoginRedirectResource, LoginRedirectAuthenticator
from Simple import SimpleResource

resource = LoginRedirectResource(
    login_url="http://localhost/login/app.login",
    app_url="http://localhost",
    resource=SimpleResource(),
    authenticator=LoginRedirectAuthenticator(secret_key="horses"),
    anonymous_parameter_name="anonymous",
    logout_parameter_name="logout",
    use_logout_redirect=0
)

def loginredirect(request, *args):
    return Django.respond(request, resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
